MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032437Open CASCADE[OCCT] OCCT:Codingpublic2021-06-12 15:312021-06-19 12:04
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032437: Coding Rules - eliminate MinGW warning -Wmaybe-uninitialized
DescriptionThe following GNU 7.1.0 warnings should be eliminated:
E:\OCCT_SRC\src\Font\Font_TextFormatter.cxx: In member function 'Standard_Boolean Font_TextFormatter::IsLFSymbol(Standard_Integer) 
const':

E:\OCCT_SRC\src\Font\Font_TextFormatter.cxx:360:14: warning: 'aBndBox.Font_Rect::Right' may be used uninitialized 
in this function [-Wmaybe-uninitialized]
   return Abs (aBndBox.Right - aBndBox.Left) < Precision::Confusion();
          ~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

E:\OCCT_SRC\src\TopOpeBRep\TopOpeBRep_LineInter.cxx: In member function 'Standard_Real TopOpeBRep_LineInter::Period() 
const':

E:\OCCT_SRC\src\TopOpeBRep\TopOpeBRep_LineInter.cxx:352:16: warning: 'l' may be used uninitialized in 
this function [-Wmaybe-uninitialized]
   return (l - f);
                ^

E:\OCCT_SRC\src\TopOpeBRep\TopOpeBRep_LineInter.cxx:352:16: warning: 'f' may be used uninitialized in 
this function

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx: In member function 'void TopOpeBRepDS_BuildTool::UpdateEdgeCurveTol(const 
TopoDS_Face&, const TopoDS_Face&, TopoDS_Edge&, const opencascade::handle<Geom_Curve>&, 
Standard_Real, Standard_Real, Standard_Real, Standard_Real&, Standard_Real&, Standard_Real&) 
const':

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx:480:17: warning: 'parmax' may be used uninitialized 
in this function [-Wmaybe-uninitialized]
       newparmax = parmax;
       ~~~~~~~~~~^~~~~~~~

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx:479:17: warning: 'parmin' may be used uninitialized 
in this function [-Wmaybe-uninitialized]
       newparmin = parmin;
       ~~~~~~~~~~^~~~~~~~
[ 50%] Building CXX object src/TKStd/CMakeFiles/TKStd.dir/__/ShapePersistent/ShapePersistent_BRep.cxx.obj

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx: In member function 'void TopOpeBRepDS_BuildTool::ApproxCurves(const 
TopOpeBRepDS_Curve&, TopoDS_Edge&, Standard_Integer&, const opencascade::handle<TopOpeBRepDS_HDataStructure>&) 
const':

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx:567:15: warning: 'parmax' may be used uninitialized 
in this function [-Wmaybe-uninitialized]
     newparmax = parmax;
     ~~~~~~~~~~^~~~~~~~

E:\OCCT_SRC\src\TopOpeBRepDS\TopOpeBRepDS_BuildTool.cxx:566:15: warning: 'parmin' may be used uninitialized 
in this function [-Wmaybe-uninitialized]
     newparmin = parmin;
     ~~~~~~~~~~^~~~~~~~
     
E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx: In member function 'Standard_Integer AIS_ColorScale::computeMaxLabelWidth(const 
TColStd_SequenceOfExtendedString&) const':

E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx:917:20: warning: 'aWidth' may be used uninitialized in this function 
[-Wmaybe-uninitialized]
   Standard_Integer aWidth, anAscent, aDescent;
                    ^~~~~~
E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx: In member function 'Standard_Integer AIS_ColorScale::TextWidth(const 
TCollection_ExtendedString&) const':

E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx:919:10: warning: 'aWidth' may be used uninitialized in this function 
[-Wmaybe-uninitialized]
   return aWidth;
          ^~~~~~
E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx: In member function 'Standard_Integer AIS_ColorScale::TextHeight(const 
TCollection_ExtendedString&) const':

E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx:930:21: warning: 'aDescent' may be used uninitialized in this 
function [-Wmaybe-uninitialized]
   return anAscent + aDescent;
                     ^~~~~~~~

E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx:930:21: warning: 'anAscent' may be used uninitialized in this 
function [-Wmaybe-uninitialized]
E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx: In member function 'void AIS_ColorScale::SizeHint(Standard_Integer&, 
Standard_Integer&) const':

E:\OCCT_SRC\src\AIS\AIS_ColorScale.cxx:917:20: warning: 'aWidth' may be used uninitialized in this function 
[-Wmaybe-uninitialized]
   Standard_Integer aWidth, anAscent, aDescent;
                    ^~~~~~


http://jenkins-test-11.nnov.opencascade.com/view/WEEK-23_WEEK-23/view/OCCT%20compile/job/WEEK-23_WEEK-23-OCCT-Windows-64-Mingw-opt-compile/3/parsed_console/ [^]
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030609closedapn Coding - eliminate warnings issued by gcc 8.1.0 
child of 0030762verifiedbugmaster Foundation Classes - include backtrace within OSD_SIGSEGV 

-  Notes
(0101803)
git (administrator)
2021-06-12 15:56

Branch CR32437 has been created by kgv.

SHA-1: 767354c44ed55458b7a0aac8b96cb7aa815cde2a


Detailed log of new commits:

Author: kgv
Date: Sat Jun 12 15:35:38 2021 +0300

    0032437: Coding Rules - eliminate MinGW warning -Wmaybe-uninitialized
(0101804)
git (administrator)
2021-06-12 16:56

Branch CR32437 has been updated forcibly by kgv.

SHA-1: 2fe37f76dd0c589b7ce7345ac9cdfe6c3e656db0
(0101829)
git (administrator)
2021-06-13 14:09

Branch CR32437 has been updated forcibly by kgv.

SHA-1: 902b31b6ee125969afbbb88b81e8212218e95261
(0101832)
kgv (developer)
2021-06-13 19:11

Please raise the patch
- OCCT: branch CR32437.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32437-master-KGV/ [^]
(0101928)
bugmaster (administrator)
2021-06-19 11:25

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101940)
git (administrator)
2021-06-19 12:04

Branch CR32437 has been deleted by mnt.

SHA-1: 902b31b6ee125969afbbb88b81e8212218e95261

- Related Changesets
occt: master 902b31b6
Timestamp: 2021-06-12 12:35:38
Author: kgv
Details ] Diff ]
0032437: Coding Rules - eliminate MinGW warning -Wmaybe-uninitialized
mod - src/AIS/AIS_ColorScale.cxx Diff ] File ]
mod - src/Font/Font_TextFormatter.cxx Diff ] File ]
mod - src/Standard/Standard_StackTrace.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_LineInter.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_BuildTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-12 15:31 kgv New Issue
2021-06-12 15:31 kgv Assigned To => kgv
2021-06-12 15:35 kgv Summary Coding Rules - eliminate MinGW warnings => Coding Rules - eliminate MinGW warning -Wmaybe-uninitialized
2021-06-12 15:56 git Note Added: 0101803
2021-06-12 15:57 kgv Description Updated View Revisions
2021-06-12 16:56 git Note Added: 0101804
2021-06-12 17:08 kgv Relationship added child of 0030609
2021-06-12 17:09 kgv Relationship added child of 0030762
2021-06-13 14:09 git Note Added: 0101829
2021-06-13 19:11 kgv Note Added: 0101832
2021-06-13 19:11 kgv Assigned To kgv => bugmaster
2021-06-13 19:11 kgv Severity minor => trivial
2021-06-13 19:11 kgv Status new => resolved
2021-06-13 19:11 kgv Status resolved => reviewed
2021-06-19 11:25 bugmaster Note Added: 0101928
2021-06-19 11:25 bugmaster Status reviewed => tested
2021-06-19 11:29 bugmaster Test case number => Not required
2021-06-19 11:37 kgv Changeset attached => occt master 902b31b6
2021-06-19 11:37 kgv Assigned To bugmaster => kgv
2021-06-19 11:37 kgv Status tested => verified
2021-06-19 11:37 kgv Resolution open => fixed
2021-06-19 12:04 git Note Added: 0101940


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker